Page MenuHomeMiraheze

Extension:Multimap on OGF Community Sandbox
Closed, InvalidPublic

Event Timeline

Austinhuang created this task.Jun 4 2019, 15:19

Review process: the PHP and JavaScript resources must be checked.

PHP code: approved, BaseMapService::render() is well written. All inputs to the rawElements that are not escaped by htmlspecialchars are internal integers, strings or wfMessages that are escaped properly.
JavaScript code: not able to review JavaScript, so review not fully done!

Note that this does load external resources.

AmandaCath changed the task status from Open to Stalled.Jul 15 2019, 23:51
AmandaCath added a project: Extensions.
AmandaCath moved this task from Backlog to Blocked by security review on the Configuration board.
AmandaCath added a subscriber: AmandaCath.

@Southparkfan any updates?

AmandaCath moved this task from Backlog to Review Needed on the Extensions board.Jul 15 2019, 23:51

Would like to see input from Site Reliability Engineering on the external resources. Besides that, extension approved.

PlavorSeol changed the task status from Stalled to Open.Jan 25 2020, 10:53
Paladox added a subscriber: Paladox.Apr 3 2020, 17:00

We already load external resources using the Maps extension, so this is fine (because its mostly using the same resources i think?)

Austinhuang closed this task as Invalid.Apr 3 2020, 17:18

This wiki is no longer maintained.

Sorry for inconvenience.